> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stockinsights.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Filings Feed

> The Filings Feed API retrieves real-time updates on earnings call transcripts and other corporate filings (e.g., Annual Reports, Investor Presentations, Corporate Announcements) published on the BSE/NSE exchanges based on the specified document type. Users can optionally filter results by sector, timeframe, or other parameters to facilitate targeted information retrieval.



## OpenAPI

````yaml openapi-india get /api/in/v0/documents
openapi: 3.0.0
info:
  title: stockinsights.ai APIs
  description: All the APIs of stockinsights.ai
  version: 1.0.0
servers:
  - url: https://stockinsights-ai-main-95a26a0.zuplo.app
security:
  - bearerAuth: []
paths:
  /api/in/v0/documents:
    get:
      summary: Filings Feed
      description: >-
        The Filings Feed API retrieves real-time updates on earnings call
        transcripts and other corporate filings (e.g., Annual Reports, Investor
        Presentations, Corporate Announcements) published on the BSE/NSE
        exchanges based on the specified document type. Users can optionally
        filter results by sector, timeframe, or other parameters to facilitate
        targeted information retrieval.
      operationId: getDocumentFeed
      parameters:
        - name: document_type
          in: query
          required: true
          schema:
            type: string
            enum:
              - annual-report
              - quarterly-result
              - earnings-transcript
              - investor-presentation
              - announcement
          description: >-
            The type of document to retrieve. Choose from 'earnings-transcript',
            'annual-report', 'announcement'.
        - name: ticker
          in: query
          description: >-
            Exchange:Ticker of companies. Multiple tickers can be provided
            separated by commas. Example - NSE:ZOMATO, BSE:TCS. Get tickers from
            [Company
            Details](https://drive.google.com/file/d/1oeghBbg6HmW5hl5MDR4CUFZDYYIjJorQ/view).
          schema:
            type: string
          required: false
        - name: quarter
          in: query
          required: false
          schema:
            type: string
          description: >-
            Fiscal quarter values in the format Q1, Q2, Q3, Q4. Multiple values
            can be provided separated by commas. Use this parameter to filter by
            specific quarters.
        - name: year
          in: query
          required: false
          schema:
            type: string
          description: >-
            Fiscal year values in the format YYYY (e.g., 2024, 2023). Multiple
            values can be provided separated by commas. Use this parameter to
            filter data by specific years.
        - name: sector
          in: query
          description: >-
            Sector classification of the companies. Multiple values can be
            provided separated by commas. Get valid sector values from [Company
            Details](https://drive.google.com/file/d/1oeghBbg6HmW5hl5MDR4CUFZDYYIjJorQ/view).
          schema:
            type: string
          required: false
        - name: industry
          in: query
          description: >-
            Industry classification of the companies. Multiple values can be
            provided separated by commas. Check valid industry values from
            [Company
            Details](https://drive.google.com/file/d/1oeghBbg6HmW5hl5MDR4CUFZDYYIjJorQ/view).
          schema:
            type: string
          required: false
        - name: page
          in: query
          description: >-
            Page number for pagination. This parameter is optional and defaults
            to 1 if not specified.
          schema:
            type: integer
            minimum: 1
          required: false
        - name: limit
          in: query
          description: >-
            The number of results to return per page. This parameter is optional
            and defaults to 20 if not specified. Maximum value is 50.
          schema:
            type: integer
            maximum: 50
          required: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Document'
                  meta:
                    $ref: '#/components/schemas/Meta'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Document:
      type: object
      description: >-
        Represents details of a company document. A document could be either
        earnings transcript, Annual Report or Announcement. Contains the link to
        the raw document and the AI insights of the document 
      properties:
        id:
          type: string
          description: Internal Document ID
        type:
          type: string
          enum:
            - earnings-transcript
            - annual-report
            - announcement
          description: Represents the type of document
        pdf_link:
          type: string
          description: >-
            PDF Link of the document. A document can have either a pdf_link or
            html_link
        html_link:
          type: string
          description: >-
            HTML Link of the document. A document can have either a pdf_link or
            html_link
        company_id:
          type: string
          description: Internal Company ID
        company_name:
          type: string
        ticker:
          type: string
          description: ''
        exchange_tickers:
          type: array
          items:
            $ref: '#/components/schemas/ExchangeTicker'
        year:
          type: string
          description: Document associated year
        month:
          type: string
          description: Document associated month
        quarter:
          type: string
          description: Document associated Quarter
        published_date:
          type: string
          description: UTC Timestamp of the document published date-time
          format: date-time
    Meta:
      type: object
      properties:
        total_count:
          type: integer
          format: int64
          description: Total Announcemnt count for the given request parameters.
        page:
          type: integer
          format: int64
          description: Current Page number.
        limit:
          type: integer
          format: int64
          description: Number of Announcements in the current response.
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                description: Error status
              title:
                type: string
                description: Error description
              message:
                type: string
                description: Detailed error message (optional)
    ExchangeTicker:
      type: object
      properties:
        exchange:
          type: string
          enum:
            - BSE
            - NSE
          description: Exchange Name
        ticker:
          type: string
          description: Company ticker in the exchange
        id:
          type: string
          description: Company ID/Code in the exchange. Not present for NSE
        url:
          type: string
          description: Company URL in the exchange
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````